Page MenuHomePhabricator

Synchronize CX extension.json with ContentTranslation.php
Closed, ResolvedPublic1 Story Points

Description

We haven't remembered to update extension.json when we have made changes to ContentTranslation.php. We must sync the two and remember to check that both are updated in code review (or whatever other process we want to use).

As far as I know only Vagrant is using extension.json currently, so only that is broken.

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2015, 1:20 PM
Arrbee set Security to None.Mar 13 2015, 7:10 AM
Arrbee added a subscriber: Language-Team.

Ow. When can we get rid of Resources.php then?

When production starts using it. In our daily we agreed that we do not aim to keep it up to date with each commit until that happens.

Arrbee triaged this task as Normal priority.Mar 18 2015, 8:09 AM
Arrbee added a subscriber: Arrbee.
Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 10 2015, 9:51 AM
santhosh edited a custom field.Jun 10 2015, 8:01 AM
santhosh claimed this task.Jun 16 2015, 9:13 AM
santhosh moved this task from Backlog to In Review on the LE-Sprint-88 board.

Change 218600 had a related patch set uploaded (by Santhosh):
Migrate to JSON configuration based extension registration

https://gerrit.wikimedia.org/r/218600

Change 218600 merged by jenkins-bot:
Migrate to JSON configuration based extension registration

https://gerrit.wikimedia.org/r/218600

Arrbee moved this task from In Review to Done on the LE-Sprint-88 board.Jun 19 2015, 7:15 AM
Amire80 closed this task as Resolved.Jun 19 2015, 7:46 AM
Amire80 removed a project: Patch-For-Review.